Name:		adwaita-xfce-theme
Summary:	Stock adwaita themes with fixes for Xfce
Version:	20190323
Release:	%mkrel 1
License:	GPLv3
Group:		Graphical desktop/Xfce
Url:		https://www.gnome-look.org/p/1293054/
Source0:	getsources.sh
Source1:	Adwaita-Xfce-%{version}.tar.gz
Source2:	Adwaita-dark-Xfce-%{version}.tar.gz
BuildArch:	noarch
Requires:	gtk2-murrine-engine
#Requires:	gtk2-adwaita-engine

%description
Stock adwaita themes with fixes for Xfce:
- Whisker menu button
- Pulse audio button
- Shadows on desktop icons
- Xfwm4 theme (from https://github.com/Elbullazul)

%prep
%setup -qc %{name}-%{version} -T -a 1 -a 2

# fix rights
chmod 644 Adwaita-*Xfce/CREDITS

%build
mkdir -p %{buildroot}%{_datadir}/themes
cp -a Adwaita-*Xfce %{buildroot}%{_datadir}/themes/

# fix gtk3 theme
cat > %{buildroot}%{_datadir}/themes/Adwaita-Xfce/gtk-3.0/gtk.css << EOF
@import url("resource:///org/gtk/libgtk/theme/Adwaita/gtk-contained.css");
EOF

# fix duplicate theme names
sed -i -e 's,\(^Name\[.*\),\1-Xfce,g' %{buildroot}%{_datadir}/themes/Adwaita-*Xfce/index.theme

%files
%license Adwaita-Xfce/LICENSE.md
%doc Adwaita-Xfce/CREDITS
%{_datadir}/themes/Adwaita-Xfce/
%{_datadir}/themes/Adwaita-dark-Xfce/
